
function setAussendurch()
{
	document.getElementById('IDC_AUSSENDURCH_COMBO').selectedIndex = document.getElementById('IDC_NENNWEITE_COMBO').selectedIndex;
}

function setNennweite()
{
	document.getElementById('IDC_NENNWEITE_COMBO').selectedIndex = document.getElementById('IDC_AUSSENDURCH_COMBO').selectedIndex;
}

function setRohrwanddicke()
{
	DN = document.getElementById('IDC_NENNWEITE_COMBO').options[document.getElementById('IDC_NENNWEITE_COMBO').selectedIndex].value;
	DN = DN.replace(/ID_/,'');
	if (DN < 50)
		dRohrWanddicke = 2.6;
	else if (DN < 80)
		dRohrWanddicke = 2.9;
	else if (DN < 100)
		dRohrWanddicke = 3.2;
	else if (DN < 125)
		dRohrWanddicke = 3.6;
	else if (DN < 150)
		dRohrWanddicke = 4;
	else if (DN < 200)
		dRohrWanddicke = 4.5;
	else if (DN < 300)
		dRohrWanddicke = 6.3;
	else if (DN < 350)
		dRohrWanddicke = 7.1;
	else if (DN < 400)
		dRohrWanddicke = 8;
	else if (DN < 550)
		dRohrWanddicke = 8.8;
	else if (DN < 700)
		dRohrWanddicke = 12.5;
	else
		dRohrWanddicke = 15;
	document.getElementById('IDC_ROHRWANDDICKE_EDIT').value = dRohrWanddicke;
}


function checkTool()
{
//	Werte zuweisen
	var DN = document.getElementById('IDC_NENNWEITE_COMBO').options[document.getElementById('IDC_NENNWEITE_COMBO').selectedIndex].value;
	DN = DN.replace(/ID_/,'');
//	alert(DN);

	var RAD = 0;
	if (document.getElementById('*.DLGDATA.RH.AUSLEGUNG.SONDER_AUSSENDURCH_CHECK').checked)
	{
       	RAD = document.getElementById('*.DLGDATA.RH.AUSLEGUNG.SONDER_AUSSENDURCH').value; 
		if (RAD == '')
			RAD = 0;
		componentEnable('*.DLGDATA.RH.AUSLEGUNG.SONDER_AUSSENDURCH');
		componentDisable('IDC_NENNWEITE_COMBO');
		componentDisable('IDC_AUSSENDURCH_COMBO');
	}
	else
	{
       	RAD = document.getElementById('IDC_AUSSENDURCH_COMBO').options[document.getElementById('IDC_NENNWEITE_COMBO').selectedIndex].innerHTML; 
        RAD = RAD.replace(/ mm/,''); 
		document.getElementById('*.DLGDATA.RH.AUSLEGUNG.SONDER_AUSSENDURCH').value = ''; 
		componentDisable('*.DLGDATA.RH.AUSLEGUNG.SONDER_AUSSENDURCH');
		componentEnable('IDC_NENNWEITE_COMBO');
		componentEnable('IDC_AUSSENDURCH_COMBO');
	}
//      alert('RAD = '+RAD); 

	var dRohrWanddicke = document.getElementById('IDC_ROHRWANDDICKE_EDIT').value;
	if (dRohrWanddicke == 0)
	{
		if (DN < 50)
			dRohrWanddicke = 2.6;
		else if (DN < 80)
			dRohrWanddicke = 2.9;
		else if (DN < 100)
			dRohrWanddicke = 3.2;
		else if (DN < 125)
			dRohrWanddicke = 3.6;
		else if (DN < 150)
			dRohrWanddicke = 4;
		else if (DN < 200)
			dRohrWanddicke = 4.5;
		else if (DN < 300)
			dRohrWanddicke = 6.3;
		else if (DN < 350)
			dRohrWanddicke = 7.1;
		else if (DN < 400)
			dRohrWanddicke = 8;
		else if (DN < 550)
			dRohrWanddicke = 8.8;
		else if (DN < 700)
			dRohrWanddicke = 12.5;
		else
			dRohrWanddicke = 15;
		document.getElementById('IDC_ROHRWANDDICKE_EDIT').value = dRohrWanddicke;
	}
	

	var ROHRWANDDICKE = document.getElementById('IDC_ROHRWANDDICKE_EDIT').value;
//	alert('RohrWanddicke = '+ROHRWANDDICKE);

//	Trägheitsmoment
	var DI = RAD - 2*ROHRWANDDICKE;
	if (DI < 0)
		DI = 0;
	var I_Rohr = 3.1416/64 * (RAD*RAD*RAD*RAD - DI*DI*DI*DI);
//	zulässige Durchbiegung
	var f_zul = 5;
	if (DN <= 50)
		f_zul = 3;		

	var selectedTempBereich = document.getElementById('IDC_TEMPERATUR_BEREICH_COMBO').options[document.getElementById('IDC_TEMPERATUR_BEREICH_COMBO').selectedIndex].value;
//	alert('TemperaturBereich = '+ selectedTempBereich);
	var E_MODUL = 0;
	if (selectedTempBereich == 'ID_TEMP20')
	{
//		SIGMA = 40;	// [N/mm^2]
		E_MODUL = 212;	// [kN/mm^2]
	}
	else if (selectedTempBereich == 'ID_TEMP150')
	{
//		SIGMA = 29;	// [N/mm^2]
		E_MODUL = 203; // [kN/mm^2]
	}
	else
	{
//		SIGMA = 23;	// [N/mm^2]
		E_MODUL = 192; // [kN/mm^2]
	}
//	alert('E-Modul = '+ E_MODUL);



//	Stützweite --------------------------------------------------------------------------------
	var selectedLastfall = document.getElementById('IDC_LASTFALL_COMBO').options[document.getElementById('IDC_LASTFALL_COMBO').selectedIndex].value;
//	alert('Lastfall = '+ selectedLastfall);
	var LASTFALL = 2;
	if (selectedLastfall == 'ID_EINFELD_TRAE')
		LASTFALL = 1;

//	alert('LASTFALL = ' + LASTFALL);
	Streckenlasten();

	STUETZWEITE_BERECHN = Math.pow( ((384*E_MODUL*I_Rohr*f_zul) / (qGesamt*1000 * 5 * 1000000)), 0.25 );

	if (LASTFALL == 2)
		STUETZWEITE_BERECHN = 1.5 * STUETZWEITE_BERECHN;

	var STUETZWEITE_BERECHN = Math.round(STUETZWEITE_BERECHN*10)/10;

	document.getElementById('IDC_ERGEBNIS_STW_EDIT').value = STUETZWEITE_BERECHN;
	if (STUETZWEITE_BERECHN < 15)
		document.getElementById('IDC_STUETZWEITE_GEWAEHLT_EDIT').value = STUETZWEITE_BERECHN;
	else
		document.getElementById('IDC_STUETZWEITE_GEWAEHLT_EDIT').value = 15;

//	------------------------------------------------------------------------------------------------
	AuflageLast();
	WindLast();
	Auftriebskraft();

}

function Streckenlasten()
{
	RAD = document.getElementById('IDC_AUSSENDURCH_COMBO').options[document.getElementById('IDC_NENNWEITE_COMBO').selectedIndex].innerHTML; 
        RAD = RAD.replace(/ mm/,''); 
	ROHRWANDDICKE = document.getElementById('IDC_ROHRWANDDICKE_EDIT').value;
	ISOLIERDICKE = document.getElementById('IDC_ISOLIERDICKE_EDIT').value;
	DICHTE_DAEMM = document.getElementById('IDC_DICHTE_DAEMMUNG_EDIT').value;
	DICHTE_MANTEL = document.getElementById('IDC_DICHTE_MANTEL_EDIT').value;
	DICHTE_MEDIUM = document.getElementById('IDC_DICHTE_MEDIUM_EDIT').value;
	DICHTE_ROHR = 7.85
	MANTELDICKE = document.getElementById('IDC_DICKE_MANTEL_EDIT').value;

	qRohr = 3.1416 * (RAD - ROHRWANDDICKE) * ROHRWANDDICKE * 1000 * DICHTE_ROHR / 1000000 * (9.81/1000)				// [kN/m]
	qMedium = 3.1416/4 * (1*RAD - 2*ROHRWANDDICKE)*(1*RAD - 2*ROHRWANDDICKE) * 1000 * DICHTE_MEDIUM / 1000000 * (9.81/1000)		// [kN/m]
	qDaemm = 3.1416/4 * ((1*RAD + 2*ISOLIERDICKE)*(1*RAD + 2*ISOLIERDICKE) - RAD*RAD) * 1000 * DICHTE_DAEMM / 1000000 * (9.81/1000)	// [kN/m]
	qDaemmMantel = 3.1416 * (1*RAD +2*ISOLIERDICKE + 1*MANTELDICKE) * MANTELDICKE * 1000 * DICHTE_MANTEL / 1000000 * (9.81/1000)	// [kN/m]

	qGesamt = qRohr + qMedium + qDaemm + qDaemmMantel	// [kN/m]
//	alert(qRohr);
//	alert(qMedium);
//	alert(qDaemm);
//	alert(qDaemmMantel);
//	alert(qGesamt);
}


function checkSTW_gewaehlt()
{
	AuflageLast();
	WindLast();
	Auftriebskraft();
}

function AuflageLast()
{
	STUETZWEITE_GEWAEHLT = document.getElementById('IDC_STUETZWEITE_GEWAEHLT_EDIT').value;

	AUFLAGELAST = STUETZWEITE_GEWAEHLT * qGesamt
	AUFLAGELAST = Math.round(AUFLAGELAST*10)/10;
	document.getElementById('IDC_AUFLAGELAST_EDIT').value = AUFLAGELAST;
}

function WindLast()
{
	STUETZWEITE_GEWAEHLT = document.getElementById('IDC_STUETZWEITE_GEWAEHLT_EDIT').value;
	RAD = document.getElementById('IDC_AUSSENDURCH_COMBO').options[document.getElementById('IDC_NENNWEITE_COMBO').selectedIndex].innerHTML; 
        RAD = RAD.replace(/ mm/,''); 
	ISOLIERDICKE = document.getElementById('IDC_ISOLIERDICKE_EDIT').value;
	MANTELDICKE = document.getElementById('IDC_DICKE_MANTEL_EDIT').value;

	selectedHoehe = document.getElementById('IDC_HOEHE_GELAENDE_COMBO').options[document.getElementById('IDC_HOEHE_GELAENDE_COMBO').selectedIndex].value;
//	alert('Höhe ü. Gelände = '+ selectedhoehe);
	if (selectedHoehe == 'ID_0_BIS_8')
		dStaudruck = 0.5;
	else if (selectedHoehe == 'ID_8_BIS_20')
		dStaudruck = 0.8;
	else if (selectedHoehe == 'ID_20_BIS_100')
		dStaudruck = 1.1;
	else
		dStaudruck = 1.3;

//	alert('Staudruck = '+ dStaudruck);
	dBeiwert = 1.2
	WINDLAST = dBeiwert * STUETZWEITE_GEWAEHLT * (1*RAD + 2*ISOLIERDICKE + 2*MANTELDICKE) * dStaudruck /1000
	WINDLAST = Math.round(WINDLAST*10)/10;
	document.getElementById('IDC_WINDLAST_EDIT').value = WINDLAST;
}


function Auftriebskraft()
{
	STUETZWEITE_GEWAEHLT = document.getElementById('IDC_STUETZWEITE_GEWAEHLT_EDIT').value;
	DICHTE_UMGEBUNGSMEDIUM = document.getElementById('IDC_DICHTE_UMGEBUNG_MEDIUM_EDIT').value;
	RAD = document.getElementById('IDC_AUSSENDURCH_COMBO').options[document.getElementById('IDC_NENNWEITE_COMBO').selectedIndex].innerHTML; 
        RAD = RAD.replace(/ mm/,''); 
	ISOLIERDICKE = document.getElementById('IDC_ISOLIERDICKE_EDIT').value;
	MANTELDICKE = document.getElementById('IDC_DICKE_MANTEL_EDIT').value;

//	alert('Dichte Umgebungsmedium = '+ DICHTE_UMGEBUNGSMEDIUM);
	AUFTRIEBSKRAFT = 3.1416/4 * (1*RAD + 2*ISOLIERDICKE + 2*MANTELDICKE)*(1*RAD + 2*ISOLIERDICKE + 2*MANTELDICKE) * STUETZWEITE_GEWAEHLT * DICHTE_UMGEBUNGSMEDIUM * 9.81 / 1000000;
	AUFTRIEBSKRAFT = Math.round(AUFTRIEBSKRAFT*10)/10;
	document.getElementById('IDC_AUFTRIEBSKRAFT_EDIT').value = AUFTRIEBSKRAFT;
}


